org.eclipse.aether.transfer

## Class MetadataNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.MetadataTransferException
        - - org.eclipse.aether.transfer.MetadataNotFoundException

- All Implemented Interfaces:
    Serializable

      public class MetadataNotFoundException
      extends MetadataTransferException

  Thrown when metadata was not found in a particular repository.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataNotFoundException(Metadata metadata, LocalRepository repository)`
    `MetadataNotFoundException(Metadata metadata, RemoteRepository repository)`
    `MetadataNotFoundException(Metadata metadata, RemoteRepository repository, String message)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.aether.transfer.MetadataTransferException

      `getMetadata, getRepository`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataNotFoundException

          public MetadataNotFoundException(Metadata metadata,
                                   LocalRepository repository)

    - #### MetadataNotFoundException

          public MetadataNotFoundException(Metadata metadata,
                                   RemoteRepository repository)

    - #### MetadataNotFoundException

          public MetadataNotFoundException(Metadata metadata,
                                   RemoteRepository repository,
                                   String message)

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.